=== debian/changelog ===
ros-rolling-domain-bridge (0.3.0-1focal) focal; urgency=high

  * Override handle_serialized_message (#21 <https://github.com/ros2/domain_bridge/issues/21>)
  * Do not crash if there's an error querying endpoint info (#20 <https://github.com/ros2/domain_bridge/issues/20>)
  * Add topic remapping (#19 <https://github.com/ros2/domain_bridge/issues/19>)
  * Fix doc link in readme (#18 <https://github.com/ros2/domain_bridge/issues/18>)
  * Contributors: Chris Lalancette, Jacob Perron, Tully Foote

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 20 May 2021 07:00:00 -0000

ros-rolling-domain-bridge (0.2.0-1focal) focal; urgency=high

  * Stop installing test resources (#17 <https://github.com/ros2/domain_bridge/issues/17>)
  * Add explicit link against stdc++fs (#16 <https://github.com/ros2/domain_bridge/issues/16>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 08 Apr 2021 07:00:00 -0000

ros-rolling-domain-bridge (0.1.0-1focal) focal; urgency=high

  * Change default value of deadline and lifespan (#15 <https://github.com/ros2/domain_bridge/issues/15>)
  * Include rclcpp from-source in CI
  * Add missing test dependency
  * Add QoS overriding
  * Add launch file (#9 <https://github.com/ros2/domain_bridge/issues/9>)
  * Ignore generated Python files (#12 <https://github.com/ros2/domain_bridge/issues/12>)
  * Add '--from' and '--to' options to executable + add tests (#7 <https://github.com/ros2/domain_bridge/issues/7>)
  * Automatically match QoS settings across the bridge (#5 <https://github.com/ros2/domain_bridge/issues/5>)
  * Refactor YAML parsing and allow default domain IDs (#6 <https://github.com/ros2/domain_bridge/issues/6>)
  * Support for configuring domain bridge with YAML (#4 <https://github.com/ros2/domain_bridge/issues/4>)
  * Fix topic bridge less operator (#3 <https://github.com/ros2/domain_bridge/issues/3>)
  * Add GitHub workflow for CI
  * Add unit tests
  * Add domain bridge library (#1 <https://github.com/ros2/domain_bridge/issues/1>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 07:00:00 -0000
