=== debian/control ===
Source: ros-rolling-domain-bridge
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-example-interfaces <!nocheck>, ros-rolling-launch <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rcutils, ros-rolling-rmw-connextdds <!nocheck>, ros-rolling-rmw-cyclonedds-cpp <!nocheck>, ros-rolling-rmw-fastrtps-cpp <!nocheck>, ros-rolling-rmw-implementation-cmake <!nocheck>, ros-rolling-rosbag2-cpp, ros-rolling-rosgraph-msgs <!nocheck>, ros-rolling-rosidl-default-generators, ros-rolling-rosidl-typesupport-cpp, ros-rolling-test-msgs <!nocheck>, ros-rolling-zstd-vendor, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-domain-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rcutils, ros-rolling-rosbag2-cpp, ros-rolling-rosidl-default-runtime, ros-rolling-rosidl-typesupport-cpp, ros-rolling-zstd-vendor, ros-rolling-ros-workspace
Description: ROS 2 Domain Bridge
